import math

m, n, k = map(int, input().split())

# Вычислите, сколько фонарей нужно для освещения каждой строки
row_lights = math.ceil(n / k)

# Вычислите, сколько фонарей нужно для освещения каждого столбца
col_lights = math.ceil(m / k)

# Общее количество фонарей
total_lights = row_lights * col_lights

print(total_lights)
